Package org.jboss.resteasy.plugins.providers.jaxb.fastinfoset

## Class FastinfoSetContext

- java.lang.Object
- - javax.xml.bind.JAXBContext
  - - org.jboss.resteasy.plugins.providers.jaxb.fastinfoset.FastinfoSetContext

-     public class FastinfoSetContext
      extends JAXBContext

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    - ### Fields inherited from class javax.xml.bind.JAXBContext

      `JAXB_CONTEXT_FACTORY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FastinfoSetContext​(Class... clazz)` |
    `FastinfoSetContext​(String contextPath)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Marshaller` | `createMarshaller()` |
    `Unmarshaller` | `createUnmarshaller()` |
    `Validator` | `createValidator()` |

    - ### Methods inherited from class javax.xml.bind.JAXBContext

      `createBinder, createBinder, createJAXBIntrospector, generateSchema, newInstance, newInstance, newInstance, newInstance, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FastinfoSetContext

          public FastinfoSetContext​(Class... clazz)

    - #### FastinfoSetContext

          public FastinfoSetContext​(String contextPath)

  - ### Method Detail

    - #### createUnmarshaller

          public Unmarshaller createUnmarshaller()
                                          throws JAXBException

      Specified by:
        `createUnmarshaller` in class `JAXBContext`
      Throws:
        `JAXBException`

    - #### createMarshaller

          public Marshaller createMarshaller()
                                      throws JAXBException

      Specified by:
        `createMarshaller` in class `JAXBContext`
      Throws:
        `JAXBException`

    - #### createValidator

          public Validator createValidator()
                                    throws JAXBException

      Specified by:
        `createValidator` in class `JAXBContext`
      Throws:
        `JAXBException`